﻿using System;
using System.Windows;

namespace TestDetailLevelWrapper
{
    public partial class TestWindow : Window
    {
        public TestWindow()
        {
            // Initialize component
            InitializeComponent();

            // Add several items
            TestObject[] items = new TestObject[100];
            for (int i = 0; i < items.Length; ++i)
                items[i] = new TestObject() { Identifier = i };

            // Set context
            this.listBox.ItemsSource = items;
        }
    }

    public class TestObject
    {
        public int Identifier { get; set; }
        public string Description { get { return string.Format("Item #{0}", this.Identifier); } }
    }
}
